using UnityEngine;
using System.Collections;

public class Interface : MonoBehaviour {
	
	
	public Texture jouer;
	public GameObject plan1;
	public GameObject plan2;
	public GameObject plan3;
	string nomJoueur;
	public Texture jeu;
	
	void Start () 
	{
		nomJoueur=" VOTRE NOM ";
	}
	

	void Update ()
	{
		
	}
	void OnGUI()
	{
		//scène menu
		if ( Application.loadedLevelName == "menu")
		{
			if (GUI.Button (new Rect(50,170,100,300),"Angry Serge"))
			{
				Application.LoadLevel("introAngry");
			}
			
			/*if (GUI.Button (new Rect(160,170,100,300), "Les Lamas crétins"))
			{
				Debug.Log ("niveau2");	
			}
			
			if (GUI.Button (new Rect(270,170,100,300), "Sergio Bros'"))
			{
				Debug.Log ("niveau3");	
			}*/
			if (GUI.Button (new Rect(660,420,100,50), "Quitter"))
			{
				Application.Quit();
			}
			if (GUI.Button (new Rect(660,350,100,50), "Scores"))
			{
				Application.LoadLevel("scores");	
			}
		}
		//scène tuto
		if ( Application.loadedLevelName == "introAngry")
		{
			if (GUI.Button (new Rect(20,422,100,50), jouer))
			{
				Application.LoadLevel("levels");
			}
		}
		//scène perdu
		if ( Application.loadedLevelName == "perdu")
		{
			if (GUI.Button (new Rect(20,422,100,50), "Menu"))
			{
				Application.LoadLevel("menu");
			}
		}
		
		//scène gagné
		if (Application.loadedLevelName =="gagne")
		{
			nomJoueur = GUI.TextField(new Rect(600,250,150,50), nomJoueur, 200);
			
			if (GUI.Button (new Rect(660,420,100,50), "Valider"))
			{
				PlayerPrefs.SetString("joueur", nomJoueur);
				Application.LoadLevel("menu");
				PlayerPrefs.DeleteKey("score1");
				PlayerPrefs.DeleteKey("score2");
				PlayerPrefs.DeleteKey("score3");
				PlayerPrefs.Save();	
			}
		}
		//scène niveau	
		if ( Application.loadedLevelName == "levels")
		{
			// Si j'ai un score au niveau 1 je peux jouer le 2 
			if (PlayerPrefs.HasKey("score1") && !PlayerPrefs.HasKey("score2"))
			{
				plan1.renderer.enabled=false;
				plan2.renderer.enabled=true;
				plan3.renderer.enabled=false;
			}
			// Si j'ai un score au niveau 2 et 1 je peux jouer le 3
			else if (PlayerPrefs.HasKey("score2") && PlayerPrefs.HasKey("score1"))
			{
				plan1.renderer.enabled=false;
				plan2.renderer.enabled=false;
				plan3.renderer.enabled=true;
			}
			// Si j'ai un score au niveau 2 et 3 
			else if (PlayerPrefs.HasKey("score2") && PlayerPrefs.HasKey("score3"))
			{
				plan1.renderer.enabled=false;
				plan2.renderer.enabled=false;
				plan3.renderer.enabled=false;
			}
			// Sinon j'affiche les deux niveaux bloqués
			else
			{
				plan1.renderer.enabled=true;
				plan2.renderer.enabled=false;
				plan3.renderer.enabled=false;
			}
			
			if (GUI.Button (new Rect (100,210,150,150), "", GUIStyle.none))
			{
				Application.LoadLevel("angryNiveau1");
			}
			if (GUI.Button (new Rect (320,210,150,150), "", GUIStyle.none))
			{
				if (PlayerPrefs.HasKey("score1"))
				{
					Application.LoadLevel("angryNiveau2");	
				}
			}
			if (GUI.Button (new Rect (540,210,150,150), "", GUIStyle.none))
			{
				if (PlayerPrefs.HasKey("score2"))
				{
					Application.LoadLevel("angryNiveau3");
				}
			}
			
			
			
			//CHARGEMENT DU PLAN DE L'IMAGE EN FONCTION DES PLAYER PREFS 
		}
	}	
}
